<!DOCTYPE HTML>
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html;charset=utf-8" />
<title>Procedures</title>
<script src="../../../../../scripts/jquery-1.12.0.min.js" type="text/javascript"></script>
<script src="../../../../../scripts/bootstrap.min.js" type="text/javascript"></script>
<script src="../../../../../scripts/clipboard.min.js" type="text/javascript"></script>
<script src="../../../../../scripts/main.js" type="text/javascript"></script>
<link rel="stylesheet" href="../../../../../styles/bootstrap/Default.css" type="text/css">
<link rel="stylesheet" href="../../../../../styles/main.css" type="text/css">
</head>
<body>
  <div class="page-wrap">
    <div class="header">
      <div class="row">
        <div class="col-xs-8">
          <ol class="breadcrumb">
            <li><a href="../../../../../startpage.html" data-mapping-enabled="true">Project</a></li>
            <li><a href="../../../../../Servers\Servers.html" data-mapping-enabled="true">Servers</a></li>
            <li><a href="../../../../../Servers\servidor_mio\servidor_mio.html" data-mapping-enabled="true">servidor mio</a></li>
            <li><a href="../../../../../Servers\servidor_mio\Databases\Databases.html" data-mapping-enabled="true">Databases</a></li>
            <li><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\ejemplo2programacion.html" data-mapping-enabled="true">ejemplo2programacion</a></li>
            <li class="active">Procedures</li>
          </ol>
        </div>
        <div class="align-right col-xs-4">Ejemplo 2 - Unidad 3 - Modulo 3</div>
      </div>
      <div class="row">
        <div class="title col-xs-12">
          <div><img class="inline-middle image-large" src="../../../../../images/folder.svg" title="Procedures" />
            <h1 class="inline-middle">Procedures</h1>
            <div class="dropdown actions-btn-wrap">
              <button type="button" class="btn btn-default actions-btn" data-toggle="dropdown"><span class="icon-actions icon-small actions-btn-span"></span></button>
              <ul class="dropdown-menu dropdown-menu-right">
                <li><a id="CollapseAll" href="#">Collapse All</a></li>
                <li><a id="ExpandAll" href="#">Expand All</a></li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="content">


      <div id="Procedures" class="panel panel-default">
        <div class="panel-heading">
          <span class="icon-bottom inline-middle expanded icon-small"></span>
          <span class="icon-right inline-middle collapsed icon-small" style="display:none"></span>
          <h2 class="inline-middle">Objects</h2>
          <span class="badge inline-middle">10</span>
        </div>
        <div class="panel-collapse collapse in">
          <div class="panel-body">
            <table class="table table-hover table-bordered table-100">
              <tbody>
                <tr>
                  <th>Name</th>
                  <th class="column-description-60">Description</th>
                </tr>
                <tr>
                  <td><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\Procedures\e1a.html" data-mapping-enabled="true"><span>e1a</span></a></td>
                  <td>
                    <span>Procedimiento almacenado que reciba un texto y un carácter. 
    Debe indicarte si ese carácter está en el texto. Utilizar LOCATE</span>
                  </td>
                </tr>
                <tr>
                  <td><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\Procedures\e1b.html" data-mapping-enabled="true"><span>e1b</span></a></td>
                  <td>
                    <span>Procedimiento almacenado que reciba un texto y un carácter. 
    Debe indicarte si ese carácter está en el texto. Utilizar POSITION</span>
                  </td>
                </tr>
                <tr>
                  <td><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\Procedures\e2.html" data-mapping-enabled="true"><span>e2</span></a></td>
                  <td>
                    <span>Realizar un procedimiento almacenado que reciba un texto y un carácter. 
      Te debe indicar todo el texto que haya antes de la primera vez que aparece 
      ese carácter.</span>
                  </td>
                </tr>
                <tr>
                  <td><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\Procedures\e3.html" data-mapping-enabled="true"><span>e3</span></a></td>
                  <td>
                    <span>Realizar un procedimiento almacenado que reciba: 
        - tres números 
        - dos argumentos de tipo salida 
      Que devuelva el número más grande y el número más pequeño de los tres números 
      pasados</span>
                  </td>
                </tr>
                <tr>
                  <td><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\Procedures\e3a.html" data-mapping-enabled="true"><span>e3a</span></a></td>
                  <td>
                    <span>Realizar un procedimiento almacenado que reciba: 
        - tres números 
        - dos argumentos de tipo salida 
      Que devuelva el número más grande y el número más pequeño de los tres números 
      pasados. Lo realizo con la funcion IF</span>
                  </td>
                </tr>
                <tr>
                  <td><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\Procedures\e4.html" data-mapping-enabled="true"><span>e4</span></a></td>
                  <td>
                    <span>Realizar un procedimiento almacenado que muestre cuantos numeros1 y numeros2 
    son mayores que 50</span>
                  </td>
                </tr>
                <tr>
                  <td><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\Procedures\e5.html" data-mapping-enabled="true"><span>e5</span></a></td>
                  <td>
                    <span>Realizar un procedimiento almacenado que calcule la suma y la resta de 
    numero1 y numero2 de la tabla datos</span>
                  </td>
                </tr>
                <tr>
                  <td><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\Procedures\e6.html" data-mapping-enabled="true"><span>e6</span></a></td>
                  <td>
                    <span>Realizar un procedimiento almacenado que primero ponga todos los valores 
    de suma y resta a NULL y depues calcule la suma 
    solamente si el numero1 es mayor que el numero2 y 
    calcule la resta de numero2-numero1 si el numero2 es mayor o 
    numero1-numero2 si es mayor el numero1</span>
                  </td>
                </tr>
                <tr>
                  <td><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\Procedures\e7.html" data-mapping-enabled="true"><span>e7</span></a></td>
                  <td>
                    <span>Realizar un procedimiento almacenado que coloque en el campo 
    junto el texto1, texto2</span>
                  </td>
                </tr>
                <tr>
                  <td><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\Procedures\e8.html" data-mapping-enabled="true"><span>e8</span></a></td>
                  <td>
                    <span>	Realizar un procedimiento almacenado que coloque en el campo junto 
    el valor NULL. Después debe colocar en el campo junto el texto1-texto2 si el rango es A 
    y si es rango B debe colocar texto1+texto2. Si el rango es distinto debe colocar texto1 nada más</span>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="footer">
    <div class="col-xs-4">Author:&nbsp;Ramon Abramo</div>
    <div class="col-xs-4 align-center">Alpe Formacion</div>
    <div class="col-xs-4 align-right">Created:&nbsp;13 febrero 2019</div>
  </div>
</body>
</html>